id(id= projects.zeta.id)
  .row
    .title= projects.zeta.name

  .row
    .block.block_image-title
      .block__title-bar
        .block__title The project
      .block__body
        p.block__body-text
          | Whilst working at Zeta Agency one of the primary responsibilities I
          | had was to maintain and make improvements to their own website which
          | encapsulated information about them as a digital agency, the work
          | they have done, and a blog. As a digital agency their website is a
          | critical part of the business, and I worked hard to make it the best.
        p.block__body-text
          | I was tasked with general content updates, updates to designs, new
          | pages, new features, and general optimisations. These tasks would
          | often require me to take a design supplied by an in-house designer
          | and bring them into the website using HTML and CSS to create the
          | structure, WordPress and PHP to fill the content, and JavaScript to
          | work on any interactive elements. I would also have to take the
          | initiative and make design decisions when tuning the website
          | to be more responsive as often only a desktop design would be
          | supplied.
        p.block__body-text
          | Optimising the site was probably my favourite task. This required
          | research as I had not approached the topic before. After researching
          | what could be done I set out to first optimise the images (whilst
          | making sure they kept their quality). As well as optimising the
          | images I implemented a 'lazyloading' script to load non-essential
          | (below the fold) images, scripts, and styling later to speed up
          | initial loading. I then moved on to minifying CSS and JavaScript and
          | compiling multiple JavaScript/CSS files into one to reduce the
          | number of requests made when loading the site. I also found success
          | in moving scripts out of the header and into the footer of the page.
          | Overall, I was very proud of the optimisations I made as I managed
          | to bring the loading speed of the site down from 6-7 seconds to
          | 0.5-2 seconds.
        p.block__body-text
          a.block__link(href="https://www.zeta.net", target="_blank")
            | Zeta Agency &rarr;
  .row
    .block.block_image-block
      img.block__image(lazyload= '/images/projects/' + projects.zeta.id + '.png', class='lazyload', alt='Zeta Project Image')
  .row
    .block
      .block__title-bar
        .block__title Technologies used
      .block__body
        .tech
          for t in projects.zeta.tech
            a.tech__link(href= techList[t], target="_blank", rel="noopener")
              img.tech__image(lazyload= '/images/tech/' + t + '.png', alt= t, title= t, class="lazyload")